import 'package:dynamic_widget/dynamic_widget.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import '../formcomponent/full_size_column.dart';
import '../layout_form_renderer.dart';

class FullSizeColumnParser extends WidgetParser {
  @override
  String get widgetName => "FullSizeColumn";

  @override
  Widget parse(Map<String, dynamic> map, BuildContext buildContext,
      ClickListener? listener) {
    // String? id = map[LayoutForm.PROP_INPUT_ID];
    // String? label = map[LayoutForm.PROP_INPUT_LABEL];
    // bool? visible = map[LayoutForm.PROP_INPUT_VISIBLE];
    // bool? compulsory = map[LayoutForm.PROP_COMPULSORY];

    return FullSizeColumn(
        fieldProp: map,
        //id: id ?? "",
        //label: label ?? "",
        //visible: visible ?? true,
        //compulsory: compulsory ?? false,
        child: DynamicWidgetBuilder.buildFromMap(
            map[LayoutForm.PROP_CHILD], buildContext, listener)!);
  }

  @override
  Type get widgetType => FullSizeColumn;

  @override
  Map<String, dynamic>? export(Widget? widget, BuildContext? buildContext) {
    return Map<String, dynamic>();
  }
}
